=== xmore/Makefile ===
#
#  If you have trouble building, edit the file ../libsx_defs and
# change stuff there.  That file gets included everywhere else, so
# you only need to change things there once.
#
include ../libsx_defs

xmore : xmore.o
	$(CC) -O -o xmore xmore.o $(LIBS)


clean:
	rm -f *.o *~ core xmore
