=== debian/changelog ===
libsx (2.05-7) unstable; urgency=medium

  * Fix install that was not shipping libsx.h, libsx.pc properly.
  * Now at Standards-Version: 3.9.6 
  * Ensure CPPFLAGS, CFLAGS are imported correctly for hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jul 2015 13:59:02 +0100

libsx (2.05-6) unstable; urgency=medium

  * Apply patch from Alexander to fix clang compilation. Closes: #758760. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Sep 2014 14:43:37 +0100

libsx (2.05-5) unstable; urgency=medium

  * Add watch file.
  * Now at Standards-Version: 3.9.5
  * Add symbols file for libsx0.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Jun 2014 16:00:20 +0100

libsx (2.05-4) unstable; urgency=low

  * Standards-Version now 3.9.4
  * debhelper 9 for multi-arch.
  * Make multi-arch.
  * Add $(CFLAGS), $(CPPFLAGS) $(LDFLAGS) to makefiles for fortify.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 May 2013 10:08:36 +0100

libsx (2.05-3) unstable; urgency=low

  * Standards-Version: 3.9.2. No changes required.
  * MAXPATHLEN needs to be defined in multiple source files. fixed patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jul 2011 12:21:43 +0100

libsx (2.05-2) unstable; urgency=low

  * Move to Source-format 3.0 ; removed dependency on quilt
  * Standards-Version: 3.8.4. No changes required.
  * Add DEP-3 comments documenting patches.
  * Change RGBTXT path in libsx-rgb patch to point to file location on Debian.
  * Add MAXPATHLEN in dirlist.c if undefined; needed to build on Hurd.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 May 2010 20:40:59 +0100

libsx (2.05-1) unstable; urgency=low

  * Initial release. (Closes: #546183)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Sep 2009 17:32:42 +0100
