=== debian/control ===
Source: libsx
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libxpm-dev, libxt-dev, libxaw7-dev, libx11-dev
Standards-Version: 3.9.6
Homepage: ftp://ftp.ac-grenoble.fr/ge/Xlibraries/

Package: libsx0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple X library
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.

Package: libsx-dev
Section: libdevel
Architecture: any
Depends: libsx0 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Recommends: pkg-config, libxaw7-dev, libxpm-dev, libxt-dev, libx11-dev
Description: Development files (headers and static libraries) for libsx
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.
 .
 This package contains header files, pkgconfig files and static libraries
 for libsx.
