=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh $@

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libsx-dev.install

CFLAGS := `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

override_dh_installexamples:
	$(MAKE) clean
	dh_installexamples -Xlibsx.h

override_dh_install:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	mkdir -p debian/libsx0/$(LIBDIR)
	mv src/libsx.so debian/libsx0/$(LIBDIR)/libsx.so.0.0.0
	dh_link -p libsx0 $(LIBDIR)/libsx.so.0.0.0  $(LIBDIR)/libsx.so.0
	dh_link -p libsx-dev $(LIBDIR)/libsx.so.0.0.0 $(LIBDIR)/libsx.so
	dh_install 
	dh_auto_install
