## libsx 2.08

=== debian/changelog ===
libsx (2.08-7) unstable; urgency=medium

  * Typo: depend on libxaw3dxft8-dev. Closes: #1115628
  * Use pre-computed DEB_HOST_MULTIARCH
  * Patch from Vagrant Cascadian for reproducible builds. Closes: #1021860
  * d/gbp.conf: Now use Pristine-tar
  * d/copyright: Move to DEP-5 and verify against licenserecon
  * utf8.patch: Use UTF-8 not national encoding
  * -dev: Drop unused shlibs:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 15:37:59 +0000

libsx (2.08-6) unstable; urgency=medium

  * std23.patch: Fix FTBFS with GCC-15. Closes: #1097276
  * Standards-Version: 4.7.2; no changes required
  * Now use pkgconf not pkg-config
  * Drop compression from source/options

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Sep 2025 11:03:55 +0100

libsx (2.08-5) unstable; urgency=medium

  * Move to DEP-14 branches, point vcs-git to debian/latest branch
  * Now at debhelper-compat (=13)
  * Include dialogs.* files for internationalization
  * Standards-Version: 4.6.0; no changes required
  * Add d/gpb.conf to point to DEP-14 branches
  * Update homepage in d/control. Drop d/watch as orignal ftp site
    long-gone.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 14:28:25 +0100

libsx (2.08-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Move to debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jul 2019 14:24:04 +0100

libsx (2.08-3) unstable; urgency=medium

  * Set VCS to point to salsa.debian.org
  * Set Standards-Version: 4.1.3
  * Change recommends: on -dev pkg to libxw3dxft8-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 11:48:29 +0000

libsx (2.08-2) unstable; urgency=medium

  * Set SHELL=/bin/sh to provide reproducibility.
  * Standards-Version: 4.1.1 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2017 20:59:03 +0100

libsx (2.08-1) unstable; urgency=medium

  * New upstream release
     - Now uses libxaw3dxft8-dev instead of libxaw7-dev, for UTF8, Freetype
  * Standards-Version: 4.0.0; no changes required
  * Build-Conflict on a pre-installed libsx-dev
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Jul 2017 10:04:09 +0100

libsx (2.05-8) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Update homepage.
  * Rebuild adds triggers via dh_makeshlibs.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 18:18:20 +0100
