=== debian/control ===
Source: libsx
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 pkgconf,
 libxpm-dev,
 libxt-dev, 
 libxaw3dxft8-dev,
 libx11-dev
Build-Conflicts: libsx-dev
Standards-Version: 4.7.2
Homepage: https://web.physics.wustl.edu/marty/libsx/libsx.html
Vcs-Browser: https://salsa.debian.org/science-team/libsx.git
Vcs-Git: https://salsa.debian.org/science-team/libsx.git -b debian/latest

Package: libsx0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple X library
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.

Package: libsx-dev
Section: libdevel
Architecture: any
Depends: libsx0 ( = ${binary:Version} ), ${misc:Depends}
Recommends: pkgconf, libxaw3dxft8-dev, libxpm-dev, libxt-dev, libx11-dev
Description: Development files (headers and static libraries) for libsx
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.
 .
 This package contains header files, pkgconfig files and static libraries
 for libsx.
