=== debian/rules ===
#!/usr/bin/make -f



# TO set SHELL in Makefiles that are shipped; needed for reproducibility
export CONFIG_SHELL=/bin/sh

# The magic debhelper rule:
%:
	dh $@ --no-parallel

include /usr/share/dpkg/architecture.mk
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGS := `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

override_dh_installexamples:
	$(MAKE) clean
	dh_installexamples -Xlibsx.h
	# Remove example Makefile for reproducible builds
	rm -vf debian/libsx-dev/usr/share/doc/libsx-dev/examples/freq/Makefile

override_dh_auto_test:
	@echo Disabled to avoid building examples
